widget refactoring regression: impossible to add features to a column-less memory layer 

2014-05-25 07:52 PM - Mathieu Pellerin - nIRV

Status: Closed

Priority: Severe/Regression

Assignee: Matthias Kuhn

Category:

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 18772

Description

Steps to reproduce:

1. Create a new project

2. Add a memory layer (polygon)

3. Turn on the edit mode of that newly added memory layer

4. Trace a new polygon with a couple of nodes and right click to finish tracing

5. An empty window will pop up, clicking on OK will result in no feature added

Obviously, clicking on OK should insure the feature is added :) It might be worth skipping the empty window pop up for field-less layers

like memory layers.

Related issues:

Duplicates QGIS Application - Feature request # 1386: Enhanced Map Tips throu... Closed

Associated revisions

Revision 5e240b89 - 2014-05-26 11:02 AM - Matthias Kuhn

Fix add feature dialog for attribute-less layers

Fix #10351

History

#1 - 2014-05-25 10:53 PM - Paolo Cavallini

- Subject changed from widger refactoring regression: impossible to add features to a column-less memory layer  to widget refactoring regression: 

impossible to add features to a column-less memory layer 

#2 - 2014-05-26 02:03 AM - Matthias Kuhn

- Status changed from Open to Closed

Fixed in changeset commit:"5e240b895bda6685719eeadb47952d3b4892ac1d".

#3 - 2014-05-26 02:08 AM - Mathieu Pellerin - nIRV

Thanks Matthias.

#4 - 2014-05-26 02:14 AM - Matthias Kuhn
Mathieu, I now just fixed the "Ok" button version.

Fixing it with removing the dialog would not be difficult afaict, but I'm hesitating to change this during feature freeze. I think in 2.2 there was also an empty

dialog? I think I'll create a pull request for 2.6 but my internet connection is terribly slow here, so it takes a while to upload.

#5 - 2014-05-26 02:19 AM - Matthias Kuhn
